# Class ParameterWatcher

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ParameterComponent
org.a11y.brlapi.ParameterWatcher

public abstract class ParameterWatcher extends ParameterComponent

## Field Summary

### Fields inherited from class ParameterComponent

`DEFAULT_SUBPARAM`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Constructor
Description
`ParameterWatcher()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`onParameterUpdated(int parameter, long subparam, Object value)`

### Methods inherited from class ParameterComponent

`asBitMask, asBoolean, asBooleanArray, asByte, asByteArray, asDisplaySize, asDots, asDots, asInt, asIntArray, asLong, asLongArray, asRowCells, asShort, asShortArray, asString, toString`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterWatcher

public ParameterWatcher()

## Method Details

### onParameterUpdated

public abstract void onParameterUpdated(int parameter, long subparam, Object value)